#!/bin/bash

rnfile="/etc/lightsquid/realname.cfg";
groupdn="CN=US-Internet-All-Users,OU=SquidGroups,DC=KH,DC=product,DC=com,DC=ua";

if [ -f $rnfile ];then
   sudo rm $rnfile
fi
sudo touch $rnfile;

for i in `sudo net ads search "(&(objectclass=person)(memberOf:1.2.840.113556.1.4.1941:=$groupdn))" samAccountName -P | grep "^sAMAccountName:" | sed "s/^sAMAccountName: //"`;
do
        login_low=`echo $i | tr "[:upper:]" "[:lower:]"`;
        full_name=`sudo net ads search "(sAMAccountName=$login_low)" name -P | grep "^name:" | sed "s/^name: //"`;
        echo "$login_low   $full_name" >> $rnfile;
done
#
